Subject: mxsfb: DATA_FORMAT_24_BIT flag outputs invalid colours

From: [email-masked] (maxime.ripard at free-electrons.com)
Date: Fri, 7 Jun 2013 09:42:00 +0200

On Fri, Jun 07, 2013 at 09:28:32AM +0200, Hector Palacios wrote:
> I wasn't sure that everybody involved agreed with the patch.
> @Juergen, would the patch break your platform?
> Additionally, the guys from Crystalfontz didn't comment on it, but
> their platform is also using a 18bit data bus width and 32bpp.

We (Free Electrons) are doing the bring up for the Crystalfontz boards,
so it's fine :)

Thanks!
Maxime